Panda3D

Loading...
Searching...
No Matches
Public Member Functions | Static Public Attributes | Protected Member Functions | Protected Attributes | List of all members
FrameProfiler Class Reference

## Public Member Functions
| __init__ (self)
| destroy (self)

## Static Public Attributes
int | Day = 24 * Hour
int | Hour = 60 * Minute
int | Minute = 60
| notify = directNotify.newCategory('FrameProfiler')

## Protected Member Functions
| _analyzeResults (self, sessionId)
| _doAnalysis (self, sessionId, task)
| _doAnalysisGen (self, sessionId)
| _scheduleNextProfile (self)
| _scheduleNextProfileDoLater (self, task)
| _setEnabled (self, enabled)

## Protected Attributes
| _enableFC = FunctionCall(self._setEnabled, taskMgr.getProfileFramesSV())
dict | _id2session = {}
dict | _id2task = {}
| _jitter = None
int | _jitterMagnitude = self._period * .75
list | _logSchedule
int | _period = 2 * FrameProfiler.Minute
dict | _period2aggregateProfile = {}
int | _profileCounter = 0
| _startTime = globalClock.getFrameTime()
| _task
int | _timeElapsed = self._profileCounter * self._period

## Constructor & Destructor Documentation

## ◆ __init__()

__init__ | ( |  | self | ) |

## Member Function Documentation

## ◆ _analyzeResults()

_analyzeResults | ( |  | self,
|  |  | sessionId )
| protected

## ◆ _doAnalysis()

_doAnalysis | ( |  | self,
|  |  | sessionId,
|  |  | task )
| protected

## ◆ _doAnalysisGen()

_doAnalysisGen | ( |  | self,
|  |  | sessionId )
| protected

## ◆ _scheduleNextProfile()

_scheduleNextProfile | ( |  | self | ) |
| protected

## ◆ _scheduleNextProfileDoLater()

_scheduleNextProfileDoLater | ( |  | self,
|  |  | task )
| protected

## ◆ _setEnabled()

_setEnabled | ( |  | self,
|  |  | enabled )
| protected

## ◆ destroy()

destroy | ( |  | self | ) |

## Member Data Documentation

## ◆ _enableFC

_enableFC = FunctionCall(self._setEnabled, taskMgr.getProfileFramesSV())
| protected

## ◆ _id2session

dict _id2session = {}
| protected

## ◆ _id2task

dict _id2task = {}
| protected

## ◆ _jitter

_jitter = None
| protected

## ◆ _jitterMagnitude

int _jitterMagnitude = self._period * .75
| protected

## ◆ _logSchedule

_logSchedule
| protected

Initial value:
= [ 1 * FrameProfiler.Hour,
4 * FrameProfiler.Hour,
12 * FrameProfiler.Hour,
1 * FrameProfiler.Day,
]

## ◆ _period

_period = 2 * FrameProfiler.Minute
| protected

## ◆ _period2aggregateProfile

dict _period2aggregateProfile = {}
| protected

## ◆ _profileCounter

int _profileCounter = 0
| protected

## ◆ _startTime

_startTime = globalClock.getFrameTime()
| protected

## ◆ _task

_task
| protected

Initial value:
= taskMgr.doMethodLater(self._period, self._scheduleNextProfileDoLater,
'FrameProfilerStart-%s' % serialNum())

## ◆ _timeElapsed

int _timeElapsed = self._profileCounter * self._period
| protected

## ◆ Day

int Day = 24 * Hour
| static

## ◆ Hour

int Hour = 60 * Minute
| static

## ◆ Minute

int Minute = 60
| static

## ◆ notify

notify = directNotify.newCategory('FrameProfiler')
| static